LINUX.ORG.RU

Репозитории в kali

 , ,


0

1

Здравствуйте! Недавно поставил новый kali linux. Не могу поставить ни один пакет через apt: все время пишет not found. Вот sources.list:

# 

# deb cdrom:[Debian GNU/Linux 2017.3 _Kali-rolling_ - Official Snapshot amd64 LIVE/INSTALL Binary 20171109-13:49]/ kali-rolling contrib main non-free

#deb cdrom:[Debian GNU/Linux 2017.3 _Kali-rolling_ - Official Snapshot amd64 LIVE/INSTALL Binary 20171109-13:49]/ kali-rolling contrib main non-free

deb http://http.kali.org/kali kali-rolling main non-free contrib
#deb http://repo.kali.org/kali kali-rolling main non-free contrib
#deb-src http://http.kali.org/kali kali-rolling main non-free contrib
Вот вывод apt update:
Игн:1 http://dl.google.com/linux/chrome/deb stable InRelease
Сущ:2 http://dl.google.com/linux/chrome/deb stable Release                     
Сущ:3 http://packages.microsoft.com/repos/vscode stable InRelease              
Пол:5 http://mirrors.dotsrc.org/kali kali-rolling InRelease [30,5 kB]          
Ошк:5 http://mirrors.dotsrc.org/kali kali-rolling InRelease
  Следующие подписи неверные: EXPKEYSIG ED444FF07D8D0BF6 Kali Linux Repository <devel@kali.org>
Получено 30,5 kB за 0с (33,3 kB/s)
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Все пакеты имеют последние версии.
W: Произошла ошибка при проверке подписи. Репозиторий не обновлён и будут использованы предыдущие индексные файлы. Ошибка GPG: http://mirrors.dotsrc.org/kali kali-rolling InRelease: Следующие подписи неверные: EXPKEYSIG ED444FF07D8D0BF6 Kali Linux Repository <devel@kali.org>
W: Не удалось получить http://http.kali.org/kali/dists/kali-rolling/InRelease  Следующие подписи неверные: EXPKEYSIG ED444FF07D8D0BF6 Kali Linux Repository <devel@kali.org>
W: Некоторые индексные файлы не скачались. Они были проигнорированы или вместо них были использованы старые версии.
Вот попытка установить какой-либо пакет:
root@HOSTYARA:~# sudo apt install transmission
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Будут установлены следующие дополнительные пакеты:
  libminiupnpc10 libnatpmp1 minissdpd transmission-common transmission-gtk
Предлагаемые пакеты:
  natpmp-utils
НОВЫЕ пакеты, которые будут установлены:
  libminiupnpc10 libnatpmp1 minissdpd transmission transmission-common
  transmission-gtk
Обновлено 0 пакетов, установлено 6 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 1 052 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 4 543 kB.
Хотите продолжить? [Д/н] y
Пол:1 http://mirrors.dotsrc.org/kali kali-rolling/main amd64 libminiupnpc10 amd64 1.9.20140610-4 [30,1 kB]
Ошк:4 http://http.kali.org/kali kali-rolling/main amd64 transmission-common all 2.92-2
  404  Not Found
Пол:2 http://mirrors.dotsrc.org/kali kali-rolling/main amd64 libnatpmp1 amd64 20110808-4+b1 [8 926 B]
Ошк:6 http://http.kali.org/kali kali-rolling/main amd64 transmission all 2.92-2
  404  Not Found
Пол:3 http://mirrors.dotsrc.org/kali kali-rolling/main amd64 minissdpd amd64 1.2.20130907-4.1 [20,0 kB]
Пол:5 http://mirrors.dotsrc.org/kali kali-rolling/main amd64 transmission-gtk amd64 2.92-2+b1 [704 kB]
Получено 763 kB за 1с (392 kB/s)           
E: Не удалось получить http://http.kali.org/kali/pool/main/t/transmission/transmission-common_2.92-2_all.deb  404  Not Found
E: Не удалось получить http://http.kali.org/kali/pool/main/t/transmission/transmission_2.92-2_all.deb  404  Not Found
E: Невозможно получить некоторые архивы, вероятно надо запустить apt-get update или попытаться повторить запуск с ключом --fix-missing
Вот apt-get update --fix-missing:
Игн:1 http://dl.google.com/linux/chrome/deb stable InRelease
Сущ:2 http://packages.microsoft.com/repos/vscode stable InRelease              
Сущ:3 http://dl.google.com/linux/chrome/deb stable Release                     
Пол:5 http://mirrors.dotsrc.org/kali kali-rolling InRelease [30,5 kB]          
Ошк:5 http://mirrors.dotsrc.org/kali kali-rolling InRelease
  Следующие подписи неверные: EXPKEYSIG ED444FF07D8D0BF6 Kali Linux Repository <devel@kali.org>
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Все пакеты имеют последние версии.
W: Произошла ошибка при проверке подписи. Репозиторий не обновлён и будут использованы предыдущие индексные файлы. Ошибка GPG: http://mirrors.dotsrc.org/kali kali-rolling InRelease: Следующие подписи неверные: EXPKEYSIG ED444FF07D8D0BF6 Kali Linux Repository <devel@kali.org>
W: Не удалось получить http://http.kali.org/kali/dists/kali-rolling/InRelease  Следующие подписи неверные: EXPKEYSIG ED444FF07D8D0BF6 Kali Linux Repository <devel@kali.org>
W: Некоторые индексные файлы не скачались. Они были проигнорированы или вместо них были использованы старые версии.
Пробовал гуглить, но ничего не нашел. Кто сможет, пожалуйста, помогите. Заранее спасибо.

Ахтунг! Мамкины кулхацкеры!

А вообще, APT тебе выдал ошибку. Можешь запустить его с английской локалью, пусть напишет на английском проблему, которую ты можешь загуглить. LC_ALL=C apt update.

a1batross ★★★★★ ()
Ответ на: комментарий от Eliajah

gnupg отсутствует в системе. Я даже не могу представить, как это могло получиться, но это поправимо, если, конечно, из системы больше нечего другого не исчезло. Сейчас я пишу с телефона, так что дать подробные инструкции не могу. Самый простой вариант - скачать пакеты с gnupg и его зависимостями из репозитория вручную, а затем установить их с помощью команды «dpkg -i путь_к_deb_файлу» . Сами пакеты можно найти по адресу https://archive.kali.org/kali/pool/

Полагаю, нужные пакеты вы сможете найти самостоятельно по названиям. gnupg должен быть в категории main.

Leupold_cat ★★★ ()
Последнее исправление: Leupold_cat (всего исправлений: 1)
Ответ на: комментарий от Eliajah

Если вы имеете в виду пакеты gnupg, то необходимо выбрать пакеты под вашу систему. Например, если вы используете обычный 64 битный дистрибутив (не для arm процессоров), то вас интересуют пакеты, название которых заканчивается на amd64. Возможно, в процессе установки вас попросят установить какие-нибудь другие пакеты, от которых зависит устанавливаемая программа - тогда придется сначала скачать и установить их.

Leupold_cat ★★★ ()
Ответ на: комментарий от Leupold_cat

требует пакет dpkg: dependency problems prevent configuration of gnupg1: gnupg1 depends on libcurl3-gnutls (>= 7.16.2); however: Package libcurl3-gnutls is not installed.

dpkg: error processing package gnupg1 (--install): dependency problems - leaving unconfigured Errors were encountered while processing: gnupg1

libcurl3-gnutls а я чет нигде не могу найти его

Eliajah ()
Ответ на: комментарий от Leupold_cat

Столкнулся с такой же проблемой. Установка archive.key-asc помогла, спасибо. Но начались проблеммы я полагаю с репозиторием при установке privoxy. Помогите пожалуйста решить проблему.

root@kali:~# apt-get install tor privoxy

Reading package lists... Done Building dependency tree Reading state information... Done The following additional packages will be installed: doc-base libuuid-perl libyaml-tiny-perl libzstd1 tor-geoipdb torsocks Suggested packages: rarian-compat mixmaster torbrowser-launcher tor-arm apparmor-utils obfsproxy obfs4proxy The following NEW packages will be installed: doc-base libuuid-perl libyaml-tiny-perl libzstd1 privoxy tor tor-geoipdb torsocks 0 upgraded, 8 newly installed, 0 to remove and 0 not upgraded. Need to get 3,513 kB/3,736 kB of archives. After this operation, 14.6 MB of additional disk space will be used. Do you want to continue? [Y/n]

Do you want to continue? [Y/n] y

Get:1 http://kali.volia.net/kali kali-rolling/main i386 libuuid-perl i386 0.27-1+b2 [18.8 kB] Get:2 http://kali.volia.net/kali kali-rolling/main i386 libyaml-tiny-perl all 1.70-1 [32.0 kB] Err:4 http://http.kali.org/kali kali-rolling/main i386 libzstd1 i386 1.3.1+dfsg-2 404 Not Found Err:5 http://http.kali.org/kali kali-rolling/main i386 privoxy i386 3.0.26-4 404 Not Found Err:6 http://http.kali.org/kali kali-rolling/main i386 tor i386 0.3.1.8-2 404 Not Found Err:7 http://http.kali.org/kali kali-rolling/main i386 tor-geoipdb all 0.3.1.8-2 404 Not Found Get:3 http://kali.volia.net/kali kali-rolling/main i386 doc-base all 0.10.7 [100 kB] Get:8 http://kali.volia.net/kali kali-rolling/main i386 torsocks i386 2.2.0-2 [72.8 kB] Fetched 224 kB in 0s (229 kB/s) E: Failed to fetch http://http.kali.org/kali/pool/main/libz/libzstd/libzstd1_1.3.1 dfsg-2_i386.deb 404 Not Found E: Failed to fetch http://http.kali.org/kali/pool/main/p/privoxy/privoxy_3.0.26-4_i386.deb 404 Not Found E: Failed to fetch http://http.kali.org/kali/pool/main/t/tor/tor_0.3.1.8-2_i386.deb 404 Not Found E: Failed to fetch http://http.kali.org/kali/pool/main/t/tor/tor-geoipdb_0.3.1.8-2_all.deb 404 Not Found E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

alladin ()